Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_var_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_var_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_var_mod.F90	(revision 4727)
@@ -29,5 +29,6 @@
   REAL, SAVE, ALLOCATABLE :: d_qw_col(:)      ! watter vapour mass budget for each column (kg/m2/s)
   REAL, SAVE, ALLOCATABLE :: d_ql_col(:)      ! liquid watter mass budget for each column (kg/m2/s)
-  REAL, SAVE, ALLOCATABLE :: d_qs_col(:)      ! solid watter mass budget for each column (kg/m2/s)
+  REAL, SAVE, ALLOCATABLE :: d_qs_col(:)      ! cloud ice mass budget for each column (kg/m2/s)
+  REAL, SAVE, ALLOCATABLE :: d_qbs_col(:)     ! blowing snow mass budget for each column (kg/m2/s)
   REAL, SAVE, ALLOCATABLE :: d_qt_col(:)      ! total watter mass budget for each column (kg/m2/s)
   REAL, SAVE, ALLOCATABLE :: d_ek_col(:)      ! kinetic energy budget for each column (W/m2)
@@ -35,8 +36,9 @@
   REAL, SAVE, ALLOCATABLE :: d_h_qw_col(:)    ! enthalpy budget of watter vapour for each column (W/m2)
   REAL, SAVE, ALLOCATABLE :: d_h_ql_col(:)    ! enthalpy budget of liquid watter for each column (W/m2)
-  REAL, SAVE, ALLOCATABLE :: d_h_qs_col(:)    ! enthalpy budget of solid watter  for each column (W/m2)
+  REAL, SAVE, ALLOCATABLE :: d_h_qs_col(:)    ! enthalpy budget of cloud ice  for each column (W/m2)
+  REAL, SAVE, ALLOCATABLE :: d_h_qbs_col(:)    ! enthalpy budget of blowing snow for each column (W/m2)
   REAL, SAVE, ALLOCATABLE :: d_h_col(:)       ! total enthalpy budget for each column (W/m2)
-  !$OMP THREADPRIVATE(d_qw_col, d_ql_col, d_qs_col, d_qt_col, d_ek_col, d_h_dair_col)
-  !$OMP THREADPRIVATE(d_h_qw_col, d_h_ql_col, d_h_qs_col, d_h_col)
+  !$OMP THREADPRIVATE(d_qw_col, d_ql_col, d_qs_col, d_qbs_col, d_qt_col, d_ek_col, d_h_dair_col)
+  !$OMP THREADPRIVATE(d_h_qw_col, d_h_ql_col, d_h_qs_col, d_h_qbs_col, d_h_col)
 
   ! Outputs used in cloudth_vert to extract the moments of the horizontal and 
@@ -64,5 +66,31 @@
   !$OMP THREADPRIVATE(map_emis_Cb,map_pcld_Cb,map_tcld_Cb,map_emis_ThCi)
   REAL, SAVE, ALLOCATABLE :: map_emis_Anv(:),map_pcld_Anv(:),map_tcld_Anv(:)
-  !$OMP THREADPRIVATE(map_pcld_ThCi,map_tcld_ThCi,map_emis_Anv,map_pcld_Anv,map_tcld_Anv)              
+  !$OMP THREADPRIVATE(map_pcld_ThCi,map_tcld_ThCi,map_emis_Anv,map_pcld_Anv,map_tcld_Anv)
+
+  ! variables deplacees de phys_local_var_mod
+  REAL, SAVE, ALLOCATABLE :: scdnc(:,:)
+  !$OMP THREADPRIVATE(scdnc)
+  REAL, SAVE, ALLOCATABLE :: cldncl(:)
+  !$OMP THREADPRIVATE(cldncl)
+  REAL, SAVE, ALLOCATABLE :: reffclwtop(:)
+  !$OMP THREADPRIVATE(reffclwtop)
+  REAL, SAVE, ALLOCATABLE :: lcc(:)
+  !$OMP THREADPRIVATE(lcc)
+  REAL, SAVE, ALLOCATABLE :: reffclws(:,:)
+  !$OMP THREADPRIVATE(reffclws)
+  REAL, SAVE, ALLOCATABLE :: reffclwc(:,:)
+  !$OMP THREADPRIVATE(reffclwc)
+  REAL, SAVE, ALLOCATABLE :: cldnvi(:) 
+  !$OMP THREADPRIVATE(cldnvi)
+  REAL, SAVE, ALLOCATABLE :: lcc3d(:,:)
+  !$OMP THREADPRIVATE(lcc3d)
+  REAL, SAVE, ALLOCATABLE :: lcc3dcon(:,:)
+  !$OMP THREADPRIVATE(lcc3dcon)
+  REAL, SAVE, ALLOCATABLE :: lcc3dstra(:,:)
+  !$OMP THREADPRIVATE(lcc3dstra)
+  REAL, SAVE, ALLOCATABLE :: icc3dcon(:,:)
+  !$OMP THREADPRIVATE(icc3dcon)
+  REAL, SAVE, ALLOCATABLE :: icc3dstra(:,:)
+  !$OMP THREADPRIVATE(icc3dstra)  
    
 
@@ -173,8 +201,8 @@
 
     allocate (bils_ec(klon),bils_ech(klon),bils_tke(klon),bils_diss(klon),bils_kinetic(klon),bils_enthalp(klon),bils_latent(klon))
-    allocate (d_qw_col(klon), d_ql_col(klon), d_qs_col(klon), d_qt_col(klon), d_ek_col(klon), d_h_dair_col(klon) &
-  &         , d_h_qw_col(klon), d_h_ql_col(klon), d_h_qs_col(klon), d_h_col(klon))
-    d_qw_col=0. ; d_ql_col=0. ; d_qs_col=0. ; d_qt_col=0. ; d_ek_col=0. ; d_h_dair_col =0.
-    d_h_qw_col=0. ; d_h_ql_col=0. ; d_h_qs_col=0. ; d_h_col=0.
+    allocate (d_qw_col(klon), d_ql_col(klon), d_qs_col(klon), d_qbs_col(klon), d_qt_col(klon), d_ek_col(klon), d_h_dair_col(klon) &
+  &         , d_h_qw_col(klon), d_h_ql_col(klon), d_h_qs_col(klon), d_h_qbs_col(klon), d_h_col(klon))
+    d_qw_col=0. ; d_ql_col=0. ; d_qs_col=0. ; d_qbs_col=0. ; d_qt_col=0. ; d_ek_col=0. ; d_h_dair_col =0.
+    d_h_qw_col=0. ; d_h_ql_col=0. ; d_h_qs_col=0. ; d_h_qbs_col=0. ; d_h_col=0.
 
     ! Outputs used in cloudth_vert
@@ -211,4 +239,18 @@
          sss(klon))
 
+! Sorties de lmdz_cloud_optics_pro
+    ALLOCATE(scdnc(klon, klev))
+    ALLOCATE(cldncl(klon))
+    ALLOCATE(reffclwtop(klon))
+    ALLOCATE(lcc(klon))
+    ALLOCATE(reffclws(klon, klev))
+    ALLOCATE(reffclwc(klon, klev))
+    ALLOCATE(cldnvi(klon))
+    ALLOCATE(lcc3d(klon, klev))
+    ALLOCATE(lcc3dcon(klon, klev))
+    ALLOCATE(lcc3dstra(klon, klev))
+    ALLOCATE(icc3dcon(klon, klev))
+    ALLOCATE(icc3dstra(klon, klev))
+
   END SUBROUTINE phys_output_var_init
 
@@ -223,6 +265,6 @@
     deallocate(sza_o)
     deallocate (bils_ec,bils_ech,bils_tke,bils_diss,bils_kinetic,bils_enthalp,bils_latent)
-    deallocate (d_qw_col, d_ql_col, d_qs_col, d_qt_col, d_ek_col, d_h_dair_col &
-  &           , d_h_qw_col, d_h_ql_col, d_h_qs_col, d_h_col)
+    deallocate (d_qw_col, d_ql_col, d_qs_col, d_qbs_col, d_qt_col, d_ek_col, d_h_dair_col &
+  &           , d_h_qw_col, d_h_ql_col, d_h_qs_col, d_h_qbs_col, d_h_col)
 
     ! Outputs used in cloudth_vert
@@ -249,4 +291,17 @@
   !   endif
 
+    DEALLOCATE(scdnc)
+    DEALLOCATE(cldncl)
+    DEALLOCATE(reffclwtop)
+    DEALLOCATE(lcc)
+    DEALLOCATE(reffclws)
+    DEALLOCATE(reffclwc)
+    DEALLOCATE(cldnvi)
+    DEALLOCATE(lcc3d)
+    DEALLOCATE(lcc3dcon)
+    DEALLOCATE(lcc3dstra)
+    DEALLOCATE(icc3dcon)
+    DEALLOCATE(icc3dstra)
+
   END SUBROUTINE phys_output_var_end
 
